org.apache.pdfbox.pdmodel.interactive.measurement

## Class PDViewportDictionary

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.measurement.PDViewportDictionary

All Implemented Interfaces:
  COSObjectable

    public class PDViewportDictionary
    extends Object
    implements COSObjectable

This class represents a viewport dictionary.

### Field Summary

Fields
`static String` `TYPE` The type of this object.

### Constructor Summary

Constructors
Constructor and Description
`PDViewportDictionary()` Constructor.
`PDViewportDictionary(COSDictionary dictionary)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PDRectangle` `getBBox()` This will retrieve the rectangle specifying the location of the viewport.
`COSDictionary` `getCOSObject()` This will return the corresponding dictionary.
`PDMeasureDictionary` `getMeasure()` This will retrieve the measure dictionary.
`String` `getName()` This will retrieve the name of the viewport.
`String` `getType()` Returns the type of the viewport dictionary.
`void` `setBBox(PDRectangle rectangle)` This will set the rectangle specifying the location of the viewport.
`void` `setMeasure(PDMeasureDictionary measure)` This will set the measure dictionary.
`void` `setName(String name)` This will set the name of the viewport.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE

    public static final String TYPE

The type of this object.

See Also:
  Constant Field Values

### Constructor Detail

#### PDViewportDictionary

    public PDViewportDictionary()

Constructor.

#### PDViewportDictionary

    public PDViewportDictionary(COSDictionary dictionary)

Constructor.

Parameters:
  `dictionary` - the dictionary

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

This will return the corresponding dictionary.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  the viewport dictionary

#### getType

    public String getType()

Returns the type of the viewport dictionary. It must be "Viewport"

Returns:
  the type of the external data dictionary

#### getBBox

    public PDRectangle getBBox()

This will retrieve the rectangle specifying the location of the viewport.

Returns:
  the location

#### setBBox

    public void setBBox(PDRectangle rectangle)

This will set the rectangle specifying the location of the viewport.

Parameters:
  `rectangle` - the rectangle specifying the location.

#### getName

    public String getName()

This will retrieve the name of the viewport.

Returns:
  the name of the viewport

#### setName

    public void setName(String name)

This will set the name of the viewport.

Parameters:
  `name` - the name of the viewport

#### getMeasure

    public PDMeasureDictionary getMeasure()

This will retrieve the measure dictionary.

Returns:
  the measure dictionary

#### setMeasure

    public void setMeasure(PDMeasureDictionary measure)

This will set the measure dictionary.

Parameters:
  `measure` - the measure dictionary